(OLD) (ARCHIVED) Puppy Linux Discussion Forum Forum Index (OLD) (ARCHIVED) Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info

This forum can also be accessed as http://oldforum.puppylinux.com
It is now read-only and serves only as archives.

Please register over the NEW forum
https://forum.puppylinux.com
and continue your work there. Thank you.

 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups    
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 25 Feb 2021, 00:48
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » REQUESTS
Latest Java SFS
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies. View previous topic :: View next topic
Page 1 of 1 [7 Posts]  
Author Message
Auronius


Joined: 04 May 2018
Posts: 38
Location: Latvia

PostPosted: Sat 25 Jan 2020, 16:10    Post subject:  Latest Java SFS  

Good day!
I have installed Java, on Bionicpup64 8.0 using Quickpet.
However, the installed Java version is outdated. Also, it does not supports automatic updates.
Can you please make SFS of the latest Java? Bcause I need it in order to run one very important application, which unfortunately does not run on Java from Quickpet.
Back to top
View user's profile Send private message 
OscarTalks


Joined: 05 Feb 2012
Posts: 2202
Location: London, England

PostPosted: Mon 27 Jan 2020, 22:27    Post subject:  

This is the latest 64bit Java JRE from java.com packaged as .sfs
You are welcome to test it and see if it works
Uploaded to Yandex Disk here:-
https://yadi.sk/d/zo5il-72Kx7_2Q

_________________
Oscar in England

Back to top
View user's profile Send private message 
MaPi


Joined: 13 Jan 2017
Posts: 22

PostPosted: Tue 28 Jan 2020, 13:49    Post subject:  

Hello OscarTalks,

I have tested your sfs in tahrpup64 and it works but there is a conflict with palemoon. The browser is no longer starting after loading your sfs on the fly.
Back to top
View user's profile Send private message 
Mike Walsh


Joined: 28 Jun 2014
Posts: 6397
Location: King's Lynn, UK.

PostPosted: Tue 28 Jan 2020, 13:59    Post subject:  

MaPi wrote:
Hello OscarTalks,

I have tested your sfs in tahrpup64 and it works but there is a conflict with palemoon. The browser is no longer starting after loading your sfs on the fly.


Hm. Curious...

I had the same problem with Java when I first put the portable-Palemoon packages together about a year ago. Wonder if the "bugs" are related? Rolling Eyes

http://www.murga-linux.com/puppy/viewtopic.php?p=1015085#1015085


Mike. Confused

_________________
MY 'PUPPY' PACKAGES

Back to top
View user's profile Send private message 
OscarTalks


Joined: 05 Feb 2012
Posts: 2202
Location: London, England

PostPosted: Tue 28 Jan 2020, 15:47    Post subject:  

I tested this in XenialPup64 when I made the package last night and it worked including (updated) Palemoon and the java plugin was recognised in the Add-Ons section.

The issue is with the browser plugin for java. In Tahr64 I think because the libraries are older there is a conflict with the java libraries. The original Palemoon still launches with the .sfs loaded but the plugin is not recognised. Once updated to latest Palemoon, the browser fails to open at all.

So in Tahr64 if you want the main java JRE but do not require the browser plugin (which is not likely to be needed for much these days) the workaround is to delete the plugin from /usr/lib/mozilla/plugins where you will see it as a symlink to libnpjp2.so
Palemoon should then run as before.
This just hides the symlink within your system, it does not remove it from the .sfs

In BionicPup64 the main JRE core appears to be working and the java browser plugin is recognised and works in Palemoon, original or updated to latest.

_________________
Oscar in England

Back to top
View user's profile Send private message 
MaPi


Joined: 13 Jan 2017
Posts: 22

PostPosted: Tue 28 Jan 2020, 16:55    Post subject:  

Okay, I have removed the symlink to libnpjp2.so and now it works! Very Happy
Back to top
View user's profile Send private message 
Auronius


Joined: 04 May 2018
Posts: 38
Location: Latvia

PostPosted: Tue 28 Jan 2020, 18:25    Post subject:  

Thank you, OscarTalks for fast response and your work! Your SFS is working good, Minecraft launches, Palemoon launches. XiaomiADBFastbootTools 6.9 however does not launches, I have reported this to its creator. I will continue testing.
Again, Thank you!
Update:
I have re-uploaded this file, in case main link becomes nonworking:
https://cloud.mail.ru/public/472m/3z4dLcjiK
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [7 Posts]  
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies. View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » REQUESTS
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0900s ][ Queries: 11 (0.0139s) ][ GZIP on ]